Bug 2045277 - containerd: FTBFS in Fedora rawhide/f36
Summary: containerd: FTBFS in Fedora rawhide/f36
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: containerd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-01-25 16:19 UTC by Fedora Release Engineering
Modified: 2022-02-02 22:18 UTC (History)
5 users (show)

Fixed In Version: containerd-1.5.9-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-02 22:18:54 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2022-01-25 16:19 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2022-01-25 16:19 UTC, Fedora Release Engineering
no flags Details
state.log (984 bytes, text/plain)
2022-01-25 16:19 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-01-25 16:19:08 UTC
containerd failed to build from source in Fedora rawhide/f36

https://koji.fedoraproject.org/koji/taskinfo?taskID=81770302


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Please fix containerd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
containerd will be orphaned. Before branching of Fedora 37,
containerd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-01-25 16:19:32 UTC
Created attachment 1853864 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-01-25 16:19:34 UTC
Created attachment 1853865 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-01-25 16:19:36 UTC
Created attachment 1853866 [details]
state.log

Comment 4 Alejandro Sáez Morollón 2022-01-26 17:44:15 UTC
Not familiar with the project but seems like there has been some changes and a binary named gen-mapages is not there anymore.
After digging around a little in a mockbuild I found this:


+ mkdir _man
+ go-md2man -in docs/man/containerd-config.8.md -out _man/containerd-config.8
+ go-md2man -in docs/man/containerd-config.toml.5.md -out _man/containerd-config.toml.5
+ /builddir/build/BUILD/containerd-1.5.8/_build/bin/gen-manpages containerd.8 _man
sh: /builddir/build/BUILD/containerd-1.5.8/_build/bin/gen-manpages: No such file or directory
+ /builddir/build/BUILD/containerd-1.5.8/_build/bin/gen-manpages ctr.8 _man
sh: /builddir/build/BUILD/containerd-1.5.8/_build/bin/gen-manpages: No such file or directory
+ rm /builddir/build/BUILD/containerd-1.5.8/_build/bin/gen-manpages
rm: cannot remove '/builddir/build/BUILD/containerd-1.5.8/_build/bin/gen-manpages': No such file or directory

Comment 5 Robert-André Mauchin 🐧 2022-01-30 00:15:04 UTC
It is now also broken by the update of golang-github-containerd-cgroups by @gotmax

Comment 6 Maxwell G 2022-01-30 01:23:53 UTC
(In reply to Robert-André Mauchin 🐧 from comment #5)
> It is now also broken by the update of golang-github-containerd-cgroups by
> @gotmax

Yes, I know. I am preparing to update it to the next version which fixes the CVE.

Comment 7 Fedora Update System 2022-02-02 22:07:55 UTC
FEDORA-2022-6f630b1ba7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6f630b1ba7

Comment 8 Fedora Update System 2022-02-02 22:18:54 UTC
FEDORA-2022-6f630b1ba7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.